### Hierarchy

- ApplicationDomain

## Index

### Constructors

- constructor

### Properties

- parentDomain
- currentDomain

### Methods

- getDefinition
- hasDefinition

## Constructors

### constructor

- new ApplicationDomain(parentDomain?: ApplicationDomain): ApplicationDomain

- - Defined in lib/openfl/system/ApplicationDomain.d.ts:17

  #### Parameters

  - ##### Optional parentDomain: ApplicationDomain

  #### Returns ApplicationDomain

## Properties

### parentDomain

parentDomain: ApplicationDomain

- Defined in lib/openfl/system/ApplicationDomain.d.ts:17

### Static currentDomain

currentDomain: ApplicationDomain

- Defined in lib/openfl/system/ApplicationDomain.d.ts:11

## Methods

### getDefinition

- getDefinition(name: string): any

- - Defined in lib/openfl/system/ApplicationDomain.d.ts:21

  #### Parameters

  - ##### name: string

  #### Returns any

### hasDefinition

- hasDefinition(name: string): boolean

- - Defined in lib/openfl/system/ApplicationDomain.d.ts:27

  #### Parameters

  - ##### name: string

  #### Returns boolean

Generated using TypeDoc